You are not logged in.

#1 2004-11-27 10:38:36

molinero
Member
From: Copenhagen/Denmark
Registered: 2004-09-19
Posts: 110

Freevo - staging error

Hi

I tried installing Freevo from the staging repo - but got the following error:

checking for file conflicts...
error: the following file conflicts were found:
  usr/lib/perl5/site_perl/current/i686-linux-thread-multi/auto/Tk/pTk/extralibs. ld: exists in "perl-tk" (target) and "perl-tk-tablematrix" (target)

errors occurred, no packages were upgraded.

I am unsure about what it means - could someone clarify?

Offline

#2 2004-12-30 20:54:25

murkus
Member
From: Europe/Helsinki
Registered: 2004-03-19
Posts: 254

Re: Freevo - staging error

molinero wrote:

Hi

I tried installing Freevo from the staging repo - but got the following error:

checking for file conflicts...
error: the following file conflicts were found:
  usr/lib/perl5/site_perl/current/i686-linux-thread-multi/auto/Tk/pTk/extralibs. ld: exists in "perl-tk" (target) and "perl-tk-tablematrix" (target)

errors occurred, no packages were upgraded.

I am unsure about what it means - could someone clarify?

I got the same error. I think that means that there is extralibs.ld in both perl-tk and perl-tk-tablematrix. The other already exists in your system and the other package isn't explicitly replacing it, creating confilct. Sadly, I can't do anything about it.

.murkus

Offline

#3 2005-01-09 10:45:46

murkus
Member
From: Europe/Helsinki
Registered: 2004-03-19
Posts: 254

Re: Freevo - staging error

murkus wrote:
molinero wrote:

Hi

I tried installing Freevo from the staging repo - but got the following error:

checking for file conflicts...
error: the following file conflicts were found:
  usr/lib/perl5/site_perl/current/i686-linux-thread-multi/auto/Tk/pTk/extralibs. ld: exists in "perl-tk" (target) and "perl-tk-tablematrix" (target)

errors occurred, no packages were upgraded.

I am unsure about what it means - could someone clarify?

I got the same error. I think that means that there is extralibs.ld in both perl-tk and perl-tk-tablematrix. The other already exists in your system and the other package isn't explicitly replacing it, creating confilct. Sadly, I can't do anything about it.

.murkus

By doing pacman -Sf freevo I got it to install. But now when trying to run, I get following:

 [12:43] murkus@
 [/home/murkus] # freevo
Can't find all Python dependencies:
No module named Image

Not all requirements of Freevo are installed on your system.
Please check the INSTALL file for more informations.

.murkus

Offline

#4 2005-01-09 12:02:57

JGC
Developer
Registered: 2003-12-03
Posts: 1,659

Re: Freevo - staging error

You need to rebuild it because of the python upgrade. If that still doesn't work, post a bug in the bugtracker that freevo doesn't work with your error message and list the dependencies there, probably one of those would need a recompile then.

Offline

#5 2005-01-11 19:59:20

luisfelipe
Member
Registered: 2004-05-06
Posts: 96

Re: Freevo - staging error

Take a look at where Python is searching for it's modules. Perhaps its searching on the wrong path (I was having that problem here).

Offline

#6 2005-01-25 23:55:10

molinero
Member
From: Copenhagen/Denmark
Registered: 2004-09-19
Posts: 110

Re: Freevo - staging error

Did anyone figure out an solution? I wanted to post a bug report - but since Staging isn't a category  I wasn't certain that it was the right place to ask for help.

If anyone has an idea of how to fix it - please post as I am out of ideas.  Thanks

Offline

#7 2005-01-26 00:02:12

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: Freevo - staging error

send an email to the maintainer or post on the tur-users mailing list.
http://www.archlinux.org/mailman/listinfo/tur-users/

Offline

Board footer

Powered by FluxBB